## org.apache.mahout.cf.taste.recommender
Interface ClusteringRecommender

All Superinterfaces:
  Recommender, Refreshable

All Known Implementing Classes:
  TreeClusteringRecommender, TreeClusteringRecommender2

    public interface ClusteringRecommender

extends Recommender

Interface implemented by "clustering" recommenders.

Method Summary
`FastIDSet` `getCluster(long userID)` Returns the cluster of users to which the given user, denoted by user ID, belongs.
`FastIDSet[]` `getClusters()` Returns all clusters of users.

Methods inherited from interface org.apache.mahout.cf.taste.recommender.Recommender
`estimatePreference, getDataModel, recommend, recommend, removePreference, setPreference`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getCluster

    FastIDSet getCluster(long userID)
                         throws TasteException

  Returns the cluster of users to which the given user, denoted by user ID, belongs.

  Parameters:
    `userID` - user ID for which to find a cluster
  Returns:
    `FastIDSet` of IDs of users in the requested user's cluster
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

### getClusters

    FastIDSet[] getClusters()
                            throws TasteException

  Returns all clusters of users.

  Returns:
    array of `FastIDSet`s of user IDs
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.